import { useState } from "react"
import ScrollTrigger from "react-scroll-trigger"

const Strategy = () => {
  const [counterOn, setCounterOn] = useState(false);


  return (
    <div className="w-full px-14 mb-[12vw] mt-[5vw]">
      <ScrollTrigger onEnter={() => setCounterOn(true)} onExit={() => setCounterOn(false)}>
        <div className="flex-col text-3xl">
            <p>Strategy & emotion.</p>
            <p>You need both.</p>
            {counterOn && <div className="line mt-2 relative"></div>}
        </div>
      </ScrollTrigger>  
        <div className="flex flex-col justify-between">
            <div>
                <p className="mt-5 text-[4vw] leading-[4.3vw] tracking-tight justify-center indent-40" >Data matters, yet it’s the emotion that drives buying decisions. We don’t 
                believe in ’one size fits all. Instead, we collabolate closely with founders to craft unique brand experiences that deeply resonate with their audiences and boots their KPIs.</p>
            </div>
        </div>
    </div>
  )
}

export default Strategy